> ## Documentation Index
> Fetch the complete documentation index at: https://docs.korint.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Archive documents (Super admin only)



## OpenAPI

````yaml /openapi.json post /documents/archive
openapi: 3.0.0
info:
  title: Korint Documentation
  description: Korint API Documentation
  version: 1.0.0
  contact: {}
servers: []
security:
  - bearerAuth: []
tags: []
paths:
  /documents/archive:
    post:
      tags:
        - documents
      summary: Archive documents (Super admin only)
      operationId: DocumentsController_archiveDocuments
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ArchiveDocumentsInputBody'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ArchiveDocumentsOutput'
        '403':
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/ForbiddenErrorDto'
              examples:
                FORBIDDEN:
                  $ref: '#/components/schemas/ForbiddenErrorDto'
          description: ''
        '404':
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/DocumentNotFoundErrorDto'
              examples:
                DOCUMENT_NOT_FOUND:
                  $ref: '#/components/schemas/DocumentNotFoundErrorDto'
          description: ''
components:
  schemas:
    ArchiveDocumentsInputBody:
      type: object
      properties:
        ids:
          description: the document ids to archive
          type: array
          items:
            type: string
      required:
        - ids
    ArchiveDocumentsOutput:
      type: object
      properties: {}
    ForbiddenErrorDto:
      type: object
      properties:
        code:
          type: string
          enum:
            - FORBIDDEN
        message:
          type: string
          example: Forbidden
        details:
          $ref: '#/components/schemas/ForbiddenDetailsDto'
      required:
        - code
        - message
        - details
    DocumentNotFoundErrorDto:
      type: object
      properties:
        code:
          type: string
          enum:
            - DOCUMENT_NOT_FOUND
        message:
          type: string
          example: Document {id} not found ({policyId})
        details:
          $ref: '#/components/schemas/DocumentNotFoundDetailsDto'
      required:
        - code
        - message
        - details
    ForbiddenDetailsDto:
      type: object
      properties:
        message:
          type: string
        documentKey:
          type: string
        userId:
          type: string
        ownerId:
          type: string
      required:
        - message
        - documentKey
        - userId
        - ownerId
    DocumentNotFoundDetailsDto:
      type: object
      properties:
        id:
          type: string
        policyId:
          type: string
      required:
        - id

````